using System;
using AspectWeaver.Aspects;

namespace SampleAspects
{
	public class DebugBookConstructorCall : Aspect
	{
		[InlineBeforeReturn("//Type[@name='Book']/Constructor")]
		public void CodeForDebugBookConstructorCall()
		{
			Console.Write(string.Format("Constructor of Book has been called at '{0}'\n", GetContextInfo()));
		}
	}
}
