using System;
using AspectWeaver.Aspects;

namespace SampleAspects
{
	public class LogAllWriteOperationAspect : Aspect
	{
		[BeforeMethodCall("//Method[starts-with(@name, 'Update') or starts-with(@name, 'Handle')]")]
		public void CodeForLogAllWriteOperation()
		{
			Console.Write(string.Format("calling a write method at '{0}'\n", GetContextInfo()));
		}
	}
}
