using System;
using AspectWeaver.Aspects;

namespace SampleAspects
{
	public class MethodSelfIntroduceAspect : Aspect
	{
		public MethodSelfIntroduceAspect()
		{
		}

		[InlineAtStart("//Method")]
		public void CodeForMethodSelfIntroduce()
		{
			Console.Write(string.Format("Calling method: {0}\n", GetContextInfo()));
			object[] args = GetArguments();
			if (args.Length > 0)
			{
				Console.Write(string.Format("Arguments: {0}", args[0]));
				for (int i = 1; i < args.Length; i++)
				{
					Console.Write(string.Format(", {0}", args[i]));
				}
				Console.Write("\n");
			}
		}
	}
}
